Package org.bgerp.app.servlet.jsp.tag

# Class ParamTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.bgerp.app.servlet.jsp.tag.ParamTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class ParamTag extends javax.servlet.jsp.tagext.BodyTagSupport
u:param inside of u:newInstance

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `value`

  ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `bodyContent`

  ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

  `id, pageContext`

  ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doEndTag()`
  `void`
  `release()`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

  ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

  `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

  `getParent, setPageContext, setParent`

- ## Field Details

  - ### value

    protected Object value

- ## Constructor Details

  - ### ParamTag

    public ParamTag()

- ## Method Details

  - ### setValue

    public void setValue(Object value)

  - ### doEndTag

    public int doEndTag() throws javax.servlet.jsp.JspException
    Specified by:
      `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
    Throws:
      `javax.servlet.jsp.JspException`

  - ### release

    public void release()
    Specified by:
      `release` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`